summaryrefslogtreecommitdiffstats
path: root/POLICY-SDK-APP/src/main/webapp/app/policyApp/CSS/bootstrap/test-infra/uncached-npm-install.sh
diff options
context:
space:
mode:
authorITSERVICES\rb7147 <rb7147@att.com>2017-04-25 11:46:00 -0400
committerITSERVICES\rb7147 <rb7147@att.com>2017-05-03 09:58:17 -0400
commite0addf5b588a1244f9679becd90999dfcb4c3a94 (patch)
tree1212772d6366730266ff0e093c874b07aa716c29 /POLICY-SDK-APP/src/main/webapp/app/policyApp/CSS/bootstrap/test-infra/uncached-npm-install.sh
parent39fb0f30472777e4b60d6a7ac8aa4eb9773961ff (diff)
Policy 1707 commit to LF
Change-Id: Ibe6f01d92f9a434c040abb05d5386e89d675ae65 Signed-off-by: ITSERVICES\rb7147 <rb7147@att.com>
Diffstat (limited to 'POLICY-SDK-APP/src/main/webapp/app/policyApp/CSS/bootstrap/test-infra/uncached-npm-install.sh')
-rw-r--r--POLICY-SDK-APP/src/main/webapp/app/policyApp/CSS/bootstrap/test-infra/uncached-npm-install.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/POLICY-SDK-APP/src/main/webapp/app/policyApp/CSS/bootstrap/test-infra/uncached-npm-install.sh b/POLICY-SDK-APP/src/main/webapp/app/policyApp/CSS/bootstrap/test-infra/uncached-npm-install.sh
new file mode 100644
index 000000000..a2d41445d
--- /dev/null
+++ b/POLICY-SDK-APP/src/main/webapp/app/policyApp/CSS/bootstrap/test-infra/uncached-npm-install.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+set -e
+cd .. # /bootstrap/
+cp test-infra/npm-shrinkwrap.json npm-shrinkwrap.json
+# npm is flaky, so try multiple times
+MAXTRIES=3
+TRIES=1
+while ! npm install; do
+ if [ $TRIES -ge $MAXTRIES ]; then
+ exit 1
+ fi
+ TRIES=$(($TRIES + 1))
+ echo "Retrying npm install (Try $TRIES of $MAXTRIES)..."
+done
+rm npm-shrinkwrap.json